Search documentation of ExStreamClient

# ExStreamClient.Model.ConfigOverrides (ExStreamClient v0.1.10)

View Source

Schema representing a ConfigOverrides

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ConfigOverrides{
      blocklist: String.t() | nil,
      blocklist_behavior: (:block | :flag) | nil,
      commands: [String.t()],
      grants: %{optional(String.t()) => [String.t()]},
      max_message_length: integer() | nil,
      quotes: boolean() | nil,
      reactions: boolean() | nil,
      replies: boolean() | nil,
      typing_events: boolean() | nil,
      uploads: boolean() | nil,
      url_enrichment: boolean() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()